import request from '@/utils/request'

// 查询cmc岗位工资列表
export function listSalary(query) {
  return request({
    url: '/oa/salary/list',
    method: 'get',
    params: query
  })
}

// 查询cmc岗位工资详细
export function getSalary(salaryId) {
  return request({
    url: '/oa/salary/' + salaryId,
    method: 'get'
  })
}

// 新增cmc岗位工资
export function addSalary(data) {
  return request({
    url: '/oa/salary',
    method: 'post',
    data: data
  })
}

// 修改cmc岗位工资
export function updateSalary(data) {
  return request({
    url: '/oa/salary',
    method: 'put',
    data: data
  })
}

// 删除cmc岗位工资
export function delSalary(salaryId) {
  return request({
    url: '/oa/salary/' + salaryId,
    method: 'delete'
  })
}
